Search Results for

Show / Hide Table of Contents

# Class DynamicStatusBar.DynamicStatusItem

##### Inheritance

System.Object
DynamicStatusBar.DynamicStatusItem

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: UICatalog.Scenarios

###### Assembly: UICatalog.dll

##### Syntax

    public class DynamicStatusItem

### Constructors

#### DynamicStatusItem()

##### Declaration

    public DynamicStatusItem()

#### DynamicStatusItem(ustring)

##### Declaration

    public DynamicStatusItem(ustring title)

##### Parameters

Type | Name | Description
--- | --- | ---
NStack.ustring | title |

#### DynamicStatusItem(ustring, ustring, ustring)

##### Declaration

    public DynamicStatusItem(ustring title, ustring action, ustring shortcut = null)

##### Parameters

Type | Name | Description
--- | --- | ---
NStack.ustring | title |
NStack.ustring | action |
NStack.ustring | shortcut |

### Fields

#### action

##### Declaration

    public ustring action

##### Field Value

Type | Description
--- | ---
NStack.ustring |

#### shortcut

##### Declaration

    public ustring shortcut

##### Field Value

Type | Description
--- | ---
NStack.ustring |

#### title

##### Declaration

    public ustring title

##### Field Value

Type | Description
--- | ---
NStack.ustring |